Subject: Re: bug#21874: `backward-char' can move point into minibuffer prompt by default

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 15 Feb 2022 11:52:36 +0100

David Reitter <[email-masked]> writes:

> Setting minibuffer-prompt-properties to the new `cursor-intangible'
> fixes the cursor movement issue and C-x h.

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

`C-x h' only copies the bit after the prompt in Emacs 28.

>>     (add-hook 'minibuffer-setup-hook #'cursor-intangible-mode)
>
> A user might do this for other reasons and might find the
> side-effect unexpected.
>
> Note that setting minibuffer-prompt-properties via Custom will
> automatically do this `add-hook' when needed.

Skimming this bug report, I think everything here works as designed, and
I'm therefore closing it.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no